SPEAKER-TEST(1)

NAME
speaker-test - command-line speaker test tone generator for ALSA

SYNOPSIS
speaker-test [-options]

DESCRIPTION
speaker-test generates a tone that can be used to test the speakers of a computer.

OPTIONS

-c | --channels NUM
    NUM channels in stream

-D | --device NAME
    PCM device name NAME

-f | --frequency FREQ
    sine wave of FREQ Hz

--help
    Print usage help

-b | --buffer TIME
    Use buffer size of TIME microseconds. When 0 is given, use the maximal buffer size. The default value is 0.

-p | --period TIME
    Use period size of TIME microseconds. When 0 is given, the periods given by -P option is used. The default value is 0.

-P | --nperiods ERIODS
    Use number of periods. The default value is 4.

-r | --rate RATE
    stream of RATE Hz

-t | --test pink|sine|wav
    -t pink means use pink noise (default).

    Pink noise is perceptually uniform noise -- that is, it sounds like every frequency at once. If you can hear any tone it may indicate resonances in your speaker system or room.

    -t sine means to use sine wave.

    -t wav means to play WAV files, either pre-defined files or given via -w option.

    You can pass the number from 1 to 3 as a backward compatibility.

-l | --nloops COUNT

    Specifies the number of loops. Zero means to run infinitely.

    When -s option below with a valid channel is given, speaker-test will perform always a single-shot without looping.

-s | --speaker CHANNEL
    Do a single-shot speaker test for the given channel. The channel number starts from 1. The channel number corresponds to left, right, rear-left, rear-right, center, LFE, side-left, side-right, and so on.

    For example, when 1 is passed, it tests the left channel only once rather than both channels with looping.

-w | --wavfile
    Use the given WAV file for the playback instead of pre-defined WAV files.

-W | --wavdir
    Specify the directory containing WAV files for playback. The default path is /usr/share/sounds/alsa.

USAGE EXAMPLES

Produce stereo sound from one stereo jack:
      speaker-test -Dplug:front -c2

Produce 4 speaker sound from two stereo jacks:
      speaker-test -Dplug:surround40 -c4

Produce 5.1 speaker sound from three stereo jacks:
      speaker-test -Dplug:surround51 -c6

To send a nice low 75Hz tone to the Woofer and then exit without touching any other speakers:
      speaker-test -Dplug:surround51 -c6 -s1 -f75

AUTHOR
The speaker-test program was written by James Courtier-Dutton. Pink noise support was added by Nathan Hurst. Further extensions by Takashi Iwai.